Package org.pgpainless.signature.consumer

# Class SignatureCheck

java.lang.Object
org.pgpainless.signature.consumer.SignatureCheck

public class SignatureCheck extends Object
Tuple-class which bundles together a signature, the signing key that created the signature, an identifier of the signing key and a record of whether the signature was verified.

## Constructor Summary

Constructors
Constructor
Description
`SignatureCheck(org.bouncycastle.openpgp.PGPSignature signature, org.bouncycastle.openpgp.PGPKeyRing signingKeyRing, SubkeyIdentifier signingKeyIdentifier)`
Create a new `SignatureCheck` object.

## Method Summary

Modifier and Type
Method
Description
`OpenPgpFingerprint`
`getFingerprint()`
Deprecated.
use `getSigningKeyIdentifier()` instead.
`org.bouncycastle.openpgp.PGPSignature`
`getSignature()`
Return the OpenPGP signature.
`SubkeyIdentifier`
`getSigningKeyIdentifier()`
Return an identifier pointing to the exact signing key which was used to create this signature.
`org.bouncycastle.openpgp.PGPKeyRing`
`getSigningKeyRing()`
Return the key ring that contains the signing key that created this signature.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SignatureCheck

public SignatureCheck(org.bouncycastle.openpgp.PGPSignature signature, org.bouncycastle.openpgp.PGPKeyRing signingKeyRing, SubkeyIdentifier signingKeyIdentifier)
Create a new `SignatureCheck` object.

Parameters:
  `signature` - signature
  `signingKeyRing` - signing key that created the signature
  `signingKeyIdentifier` - identifier of the used signing key

## Method Details

### getSignature

public org.bouncycastle.openpgp.PGPSignature getSignature()
Return the OpenPGP signature.

Returns:
  signature

### getSigningKeyIdentifier

public SubkeyIdentifier getSigningKeyIdentifier()
Return an identifier pointing to the exact signing key which was used to create this signature.

Returns:
  signing key identifier

### getSigningKeyRing

public org.bouncycastle.openpgp.PGPKeyRing getSigningKeyRing()
Return the key ring that contains the signing key that created this signature.

Returns:
  key ring

### getFingerprint

@Deprecated public OpenPgpFingerprint getFingerprint()
Deprecated.
use `getSigningKeyIdentifier()` instead. TODO: Remove in 1.2.X
Return the `OpenPgpFingerprint` of the key that created the signature.

Returns:
  fingerprint of the signing key